# -*- coding: utf-8 -*-
#conexão com banco
import cx_Oracle
import db_config
import queries
import pandas as pd
import time

def conn():
    con = cx_Oracle.connect(db_config.user, db_config.pw, db_config.dsn)
    return con

def tempo(time):
    if time > 60:
        return str(time/60) + ' minutos'
    else:
        return str(time) + ' segundos'

def cardapioConsulta():
    # try:
    #     f = open("./export/cardapios.json")
    #     f.close()
    #     card_time = time.time()
    #     print('Carregando cardapio do arquivo cardapios.json')    
    #     sqlCardapios =  pd.read_json('./export/cardapios.json', orient='records')
    #     sqlCardapios['DTMESCARD'] = pd.to_datetime(sqlCardapios['DTMESCARD'])
    #     card_time = time.time() - card_time 
    #     print('Dados de cardapios.json carregados em:', tempo(card_time))    
    #     return sqlCardapios
    # except IOError:
    # print('Conectando na base:',db_config.user)    
    con = conn()
    # print('Carregando cardapio do banco de dados: query cardapio')    
    card_time = time.time()
    sqlCardapios = pd.read_sql_query(queries.cardapio, con) 
    card_time = time.time() - card_time 
    # print('Dados de query cardapio carregados em:', tempo(card_time))
    # print('Salvando dados da query cardapio em cardapios.json')
    # sqlCardapios.to_json('./export/cardapios.json', orient='records')
    con.close()
    return sqlCardapios    


def receitaConsulta():
    # try:
    #     f = open("./export/receitas.json")
    #     f.close()
    #     receita_time = time.time()
    #     print('Carregando receitas do arquivo receitas.json')    
    #     sqlReceitas =  pd.read_json('./export/receitas.json', orient='records')
    #     receita_time = time.time() - receita_time 
    #     print('Dados de receitas.json carregados em:', tempo(receita_time))           
    #     return sqlReceitas        
    # except IOError:
    # print('Conectando na base:',db_config.user)            
    con = conn()
    # print('Carregando receitas do banco de dados: query receitas')
    receita_time = time.time()
    sqlReceitas = pd.read_sql_query(queries.receitas, con) 
    receita_time =  time.time() - receita_time
    # print('Dados de query receitas carregados em:', tempo(receita_time))
    # print('Salvando dados da query receitas em receitas.json')        
    # sqlReceitas.to_json('./export/receitas.json',orient='records')
    con.close()
    return sqlReceitas
  

