import fs from 'fs';

console.log('Start build...');

const [ MODE ] = process.argv.slice(2);
const FILE_NAME = '.env';
let TYPE = 'development';
const toLowerCase = str => {
    let toLower = '';
    if(typeof str == 'string') {
        toLower = str.toLowerCase();
    }
    return toLower;
}
switch( toLowerCase(MODE) ){
    case 'prod':
    case 'production':
        TYPE = 'production';
        break;
}
const SOURCE_FILE_NAME = `.env.${TYPE}`
fs.writeFileSync(`.env`, fs.readFileSync(SOURCE_FILE_NAME));
console.log('Success build!');